Bug 604122 - ddclient fails to update to dyndns.org after update to 3.8.0-2
ddclient fails to update to dyndns.org after update to 3.8.0-2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dbxml (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 09:20 EDT by Henrique Martins
Modified: 2012-08-06 16:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 16:07:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henrique Martins 2010-06-15 09:20:31 EDT
Description of problem:
update from 3.7.3-3.fc12.noarch to 3.8.0-2.fc13.noarch breaks one of my entries in ddclient.conf

Version-Release number of selected component (if applicable):
3.8.0-2.fc13.noarch

How reproducible:
Every time

Steps to Reproduce:
1. update to 3.8.0-2 from 3.7.3-3
2.
3.
  
Actual results:
ddclient complains that of bad auth, name or password, for an entry that workes all along, and that still works if I downgrade back to 3.7.3-3.  Trying to update an entry in dyndns.org

Expected results:
to work as before

Additional info:
Comment 1 Henrique Martins 2010-06-15 09:54:34 EDT
3.8.0-2 also seems to be missing sample-etc_ddclient.conf
Comment 2 Gregorio Gervasio 2010-06-24 22:32:21 EDT
I saw the same problem.  It turns out that the new version treats a comma (,) in the config file as part of the password:

login=username, \
password=secret, \

After removing the comma in the config file, it worked again:

login=username, \
password=secret \
Comment 3 Henrique Martins 2010-06-25 11:00:12 EDT
fixes it for me here too, wonder if one needs to now do
  password="secret",
and why only on the password field.
Comment 4 Gerrit Slomma 2010-06-30 16:10:09 EDT
ddclient could not be stoped via /etc/init.d/ddclient.

[root@rr010 ppsesieve]# date
Mi 30. Jun 22:01:12 CEST 2010
[root@rr010 ppsesieve]# /etc/init.d/ddclient stop
ddclient beenden:                                          [FEHLGESCHLAGEN]
[root@rr010 ppsesieve]# ps -ef|grep ddclient
ddclient 13044     1  0 22:00 ?        00:00:00 ddclient - sleeping for 270 seconds
root     13076  6909  0 22:01 pts/0    00:00:00 grep ddclient
[root@rr010 ppsesieve]# pkill -9 ddclient
[root@rr010 ppsesieve]# ps -ef|grep ddclient
root     13081  6909  0 22:02 pts/0    00:00:00 grep ddclient

but even after restart the client can not be stopped via /etc/init.d/ddclient

[root@rr010 ppsesieve]# /etc/init.d/ddclient stop
ddclient beenden:                                          [FEHLGESCHLAGEN]
[root@rr010 ppsesieve]# ps -ef|grep ddclient
ddclient 13118     1  0 22:02 ?        00:00:00 ddclient - sleeping for 180 seconds
root     13263  6909  0 22:09 pts/0    00:00:00 grep ddclient
Comment 5 Gerrit Slomma 2010-06-30 16:10:48 EDT
Ignore comment#4 should be for one other ticket.
Comment 6 H. Peter Anvin 2010-09-22 23:11:58 EDT
This is probably due to an "cache leaks into the global environment" bug which is fixed in the ddclient SVN.
Comment 7 Bug Zapper 2011-06-02 06:46:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 H. Peter Anvin 2011-06-02 17:59:20 EDT
Still present in 15, as far as I can tell.
Comment 9 Fedora End Of Life 2012-08-06 16:07:11 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora End Of Life 2012-08-06 16:07:11 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.